oracle.pg.hbase

## Class OracleKeyFilter

- java.lang.Object
- - org.apache.hadoop.hbase.filter.Filter
  - - org.apache.hadoop.hbase.filter.FilterBase
    - - org.apache.hadoop.hbase.filter.CompareFilter
      - - oracle.pg.hbase.OracleKeyFilter

-     public class OracleKeyFilter
      extends org.apache.hadoop.hbase.filter.CompareFilter

  This class extends the HBase CompareFilter to filter rows based on a specified key qualifier comparator and having a qualifier length greater than 0.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.hbase.filter.CompareFilter

      `org.apache.hadoop.hbase.filter.CompareFilter.CompareOp`

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.hbase.filter.Filter

      `org.apache.hadoop.hbase.filter.Filter.ReturnCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OracleKeyFilter(org.apache.hadoop.hbase.filter.CompareFilter.CompareOp op, org.apache.hadoop.hbase.filter.ByteArrayComparable qualifierComparator)` Creates a new instance of an OracleKeyFilter used in getVertices/getEdges operations.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.hadoop.hbase.filter.Filter` | `createFilterFromArguments(ArrayList<byte[]> filterArguments)` Given the filter's arguments construct an instance of Filter.
    `org.apache.hadoop.hbase.filter.Filter.ReturnCode` | `filterKeyValue(org.apache.hadoop.hbase.Cell cell)` Filter the row if the K/V pair is not found in the row data.
    `boolean` | `filterRow()` Get filter status for this specified row
    `boolean` | `hasFilterRow()` Check if this filter allows to filter a row
    `static OracleKeyFilter` | `parseFrom(byte[] pbBytes)` Return a instance of the OracleKeyFilter based on its serialized byte array.
    `void` | `reset()` Reset filter row to true.
    `byte[]` | `toByteArray()` Write filter's info as a byte array

    - ### Methods inherited from class org.apache.hadoop.hbase.filter.CompareFilter

      `extractArguments, getComparator, getOperator, toString`

    - ### Methods inherited from class org.apache.hadoop.hbase.filter.FilterBase

      `filterAllRemaining, filterRow, filterRowCells, filterRowKey, getNextCellHint, getNextKeyHint, isFamilyEssential, transform, transformCell`

    - ### Methods inherited from class org.apache.hadoop.hbase.filter.Filter

      `isReversed, setReversed`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OracleKeyFilter

          public OracleKeyFilter(org.apache.hadoop.hbase.filter.CompareFilter.CompareOp op,
                         org.apache.hadoop.hbase.filter.ByteArrayComparable qualifierComparator)

      Creates a new instance of an OracleKeyFilter used in getVertices/getEdges operations.
      Parameters:
        `op` - the compare op for row matching
        `qualifierComparator` - the comparator for row matching

  - ### Method Detail

    - #### createFilterFromArguments

          public static org.apache.hadoop.hbase.filter.Filter createFilterFromArguments(ArrayList<byte[]> filterArguments)

      Given the filter's arguments construct an instance of Filter.
      Parameters:
        `filterArguments` - the filter's arguments.
      Returns:
        an instance of Filter

    - #### filterKeyValue

          public org.apache.hadoop.hbase.filter.Filter.ReturnCode filterKeyValue(org.apache.hadoop.hbase.Cell cell)

      Filter the row if the K/V pair is not found in the row data.
      Overrides:
        `filterKeyValue` in class `org.apache.hadoop.hbase.filter.FilterBase`
      Parameters:
        `cell` - the cell in question
      Returns:
        an instance of ReturnCode

    - #### filterRow

          public boolean filterRow()

      Get filter status for this specified row
      Overrides:
        `filterRow` in class `org.apache.hadoop.hbase.filter.FilterBase`

    - #### hasFilterRow

          public boolean hasFilterRow()

      Check if this filter allows to filter a row
      Overrides:
        `hasFilterRow` in class `org.apache.hadoop.hbase.filter.FilterBase`

    - #### parseFrom

          public static OracleKeyFilter parseFrom(byte[] pbBytes)
                                           throws org.apache.hadoop.hbase.exceptions.DeserializationException

      Return a instance of the OracleKeyFilter based on its serialized byte array.
      Throws:
        `org.apache.hadoop.hbase.exceptions.DeserializationException`

    - #### reset

          public void reset()

      Reset filter row to true.
      Overrides:
        `reset` in class `org.apache.hadoop.hbase.filter.FilterBase`

    - #### toByteArray

          public byte[] toByteArray()
                             throws IOException

      Write filter's info as a byte array
      Overrides:
        `toByteArray` in class `org.apache.hadoop.hbase.filter.FilterBase`
      Returns:
        the byte array representation of the filter's info
      Throws:
        `IOException`

Copyright © 2015 Oracle and/or its affiliates. All Rights Reserved.